Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.saml
Class SAMLAssertionKeyIdentifier

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSKeyIdentifier
oracle.security.xmlsec.wss.saml.SAMLAssertionKeyIdentifier`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

public class SAMLAssertionKeyIdentifier
extends WSSKeyIdentifier

This class represents WSSKeyIdentifier for SAML Assertion where AssertionID is used as the key identifier.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner)` Create a new `SAMLAssertionKeyIdentifier` instance.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner, byte[] assertionId)` Create a new `SAMLAssertionKeyIdentifier` instance.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner, byte[] assertionId, java.lang.String valueType)` Create a new `SAMLAssertionKeyIdentifier` instance.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner, java.lang.String valueType)` Create a new `SAMLAssertionKeyIdentifier` instance.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner, java.lang.String assertionId, java.lang.String valueType)` Create a new `SAMLAssertionKeyIdentifier` instance.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Element element)` Create a new `SAMLAssertionKeyIdentifier` instance from the given XML element.
`SAMLAssertionKeyIdentifier(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `SAMLAssertionKeyIdentifier` instance from the given XML element.

Method Summary
`static void` | `addResolver(SAMLAssertionKeyIdentifierResolver resolver)` Register the `SAMLAssertionKeyIdentifierResolver` instance for use in keyidentifier resolver operations.
`oracle.security.xmlsec.saml.AuthorityBinding` | `getAuthorityBinding()` Get the associated SAML AuthorityBinding.
`protected java.lang.String` | `getDefaultEncodingType()` Return the default encoding type of key identifier.
`java.lang.Object` | `getKey()` Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.
`oracle.security.crypto.core.PrivateKey` | `getPrivateKey()` Get the underlying WSSecurity Token.
`oracle.security.crypto.cert.X509` | `getPublicKey()` Get the underlying WSSecurity Token.
`static java.util.List` | `getResolvers()` Get the list of registered `SAMLAssertionKeyIdentifierResolver`s.
`WSSecurityToken` | `getSecurityToken()` Get the underlying WSSecurity Token.
`void` | `setAuthorityBinding(oracle.security.xmlsec.saml.AuthorityBinding authorityBinding)` Set the associated SAML AuthorityBinding.

Methods inherited from class oracle.security.xmlsec.wss.WSSKeyIdentifier
`getEncodingType, getName, getValue, getValueType, setEncodingType, setValue, setValueType`

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getNode`

Constructor Detail

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Element element)

  Create a new `SAMLAssertionKeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Element element,
                                      java.lang.String systemId)

  Create a new `SAMLAssertionKeyIdentifier` instance from the given XML element.
Parameters:
  `element` - A wsse:KeyIdentifier element.
  `systemId` - The URI string system ID for this element.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner)

  Create a new `SAMLAssertionKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner,
                                      byte[] assertionId)

  Create a new `SAMLAssertionKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `assertionId` - The assertion identifier.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner,
                                      java.lang.String valueType)

  Create a new `SAMLAssertionKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valueType` - The key identifier data value type.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner,
                                      byte[] assertionId,
                                      java.lang.String valueType)

  Create a new `SAMLAssertionKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `assertionId` - The assertion identifier.
  `valueType` - The identifier data value type.

### SAMLAssertionKeyIdentifier

    public SAMLAssertionKeyIdentifier(org.w3c.dom.Document owner,
                                      java.lang.String assertionId,
                                      java.lang.String valueType)

  Create a new `SAMLAssertionKeyIdentifier` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `assertionId` - The assertion identifier.
  `valueType` - The optional identifier data value type.

Method Detail

### addResolver

    public static void addResolver(SAMLAssertionKeyIdentifierResolver resolver)

  Register the `SAMLAssertionKeyIdentifierResolver` instance for use in keyidentifier resolver operations.
  Parameters:
    `resolver` - The SAML assertion key identifier resolver.

### getResolvers

    public static java.util.List getResolvers()

  Get the list of registered `SAMLAssertionKeyIdentifierResolver`s.
  Returns:
    The List of SAML assertion key identifier resolvers.

### setAuthorityBinding

    public void setAuthorityBinding(oracle.security.xmlsec.saml.AuthorityBinding authorityBinding)

  Set the associated SAML AuthorityBinding.

  This is required for V1.1 SAML Assertion Tokens.

  Parameters:
    `authorityBinding` - The associated saml:AuthorityBinding.

### getAuthorityBinding

    public oracle.security.xmlsec.saml.AuthorityBinding getAuthorityBinding()

  Get the associated SAML AuthorityBinding.
  Returns:
    The associated saml:AuthorityBinding.

### getSecurityToken

    public WSSecurityToken getSecurityToken()
                                     throws WSSException

  Get the underlying WSSecurity Token.
  Returns:
    The referenced saml:Assertion.
  Throws:
    `WSSException`

### getPublicKey

    public oracle.security.crypto.cert.X509 getPublicKey()
                                                  throws WSSException

  Get the underlying WSSecurity Token.
  Returns:
    The referenced saml:Assertion.
  Throws:
    `WSSException`

### getPrivateKey

    public oracle.security.crypto.core.PrivateKey getPrivateKey()
                                                         throws WSSException

  Get the underlying WSSecurity Token.
  Returns:
    The referenced saml:Assertion.
  Throws:
    `WSSException`

### getKey

    public java.lang.Object getKey()
                            throws WSSException

  Returns the key (symmetric or asymmetric) corresponding to the underlying WSS SecurityToken.

  **** NOT IMPLEMENTED ****

  Returns:
    The `Key`.
  Throws:
    `WSSException`

### getDefaultEncodingType

    protected java.lang.String getDefaultEncodingType()

  Return the default encoding type of key identifier.

  This is necessary to handle messages that do not contain the EncodingType attribute.

  Specified by:
    `getDefaultEncodingType` in class `WSSKeyIdentifier`
  Returns:
    The key identifier's default encoding typ i.e Base-64..

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.